FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Ubuntu Masters Of The Universe

 
 
LinkBack Thread Tools
 
Old 09-25-2010, 07:04 AM
qu-chunguang
 
Default help on install trac-git

Hi,

My system using trac with subverion for a long time and works ok.

Today, i want to add git support to trac,
$ sudo apt-get install trac-git
and then init a new trac instance like this,
$ sudo -u www-data trac-admin /var/trac/sites/testhttps initenv
Repository type [svn]> git
Path to repository [/path/to/repos]> /var/git/testhttps.git

I get the following warning then,
---------------------------------------------------------------------
Warning: couldn't index the repository.

This can happen for a variety of reasons: wrong repository type,
no appropriate third party library for this repository type,
no actual repository at the specified repository path...

You can nevertheless start using your Trac environment, but
you'll need to check again your trac.ini file and the [trac]
repository_type and repository_path settings in order to enable
the Trac repository browser.


---------------------------------------------------------------------

Then, i checked the trac.ini, but [git] didn't generated automatically,
and the following error shows in browser when i browse source from trac,
---------------------------------------------------------------------
Warning: Can't synchronize with the repository (Unsupported version
control system "git": Can't find an appropriate component, maybe the
corresponding plugin was not enabled? ). Look in the Trac log for more
information.
Trac Error

Unsupported version control system "git": Can't find an appropriate
component, maybe the corresponding plugin was not enabled?
---------------------------------------------------------------------

It seems that trac still now known the type "git", how could I do now?
I ever heard that it works ok on ubuntu 10.04, but i cannot update for
some reason.
I cannot judge if it is a bug, can you help me please?
THANKS

My system is Ubuntu 9.10 and software version is,
(all installed from ubuntu source)
trac-git 0.0.20090320-1ubuntu1
trac 0.11.5-2ubuntu1
python 2.6.4-0ubuntu1

--
// 以上
// よろしくお願いいたします。
/************************************************** ******************
* NEC軟件(済南)有限公司 開発
*  曲 春 光
* 山東済南高新区舜華路1号斉*軟件園 *広*C座5F
* 郵便番号 : 250101
* 電話(外線): +86-531-86517777-956
* 電話(内線): 800-86-28-956
* FAX : +86-531-86517778
* E-mail : qu-chunguang@necsoft.com.cn
* URL : http://www.necsoft.com.cn
************************************************** ******************/

--
Ubuntu-motu mailing list
Ubuntu-motu@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-motu
 

Thread Tools




All times are GMT. The time now is 03:11 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org